#ifndef PINS_USER_EDITOR_H
#define PINS_USER_EDITOR_H

#include "properties_user_editor.h"

class BlockItem;
class BlockBusItem;
namespace Ui {
	class PinsUserEditor;
}

class PinsUserEditor: public QWidget {
	Q_OBJECT
public:
	explicit PinsUserEditor(QWidget * parent = 0);
	~PinsUserEditor();
	
	void clear();
	bool isEmpty() const;
	void setBlock(BlockItem * b);
	void setBus(BlockBusItem * b);
	BlockItem * block() const {return block_;}
	void applyProperties();
	
private:
	Ui::PinsUserEditor * ui;
	QList<QWidget*> _widgets;
	BlockItem * block_;
	BlockBusItem * bus_;
	
private slots:
	void properties_resetStorageRequest(PropertyStorage * s);
	
public slots:
	
signals:
	
};

#endif // PROPERTIES_EDITOR_H
